rte_dtls.h(3)

NAME
rte_dtls.h

SYNOPSIS

#include <rte_byteorder.h>

  Data Structures

struct rte_dtls_hdr

  Macros

#define RTE_DTLS_TYPE_INVALID 0
#define RTE_DTLS_TYPE_CHANGE_CIPHER_SPEC 20
#define RTE_DTLS_TYPE_ALERT 21
#define RTE_DTLS_TYPE_HANDSHAKE 22
#define RTE_DTLS_TYPE_APPDATA 23
#define RTE_DTLS_TYPE_HEARTBEAT 24
#define RTE_DTLS_TYPE_CIPHERTEXT_WITH_CID 25
#define RTE_DTLS_TYPE_ACK 26
#define RTE_DTLS_TYPE_MAX 255
#define RTE_DTLS_VERSION_1_2 0xFEFD
#define RTE_DTLS_VERSION_1_3 0xFEFC

Detailed Description

Datagram transport layer security (DTLS) related defines.

Definition in file rte_dtls.h.

Macro Definition Documentation

  #define RTE_DTLS_TYPE_INVALID 0
Invalid DTLS message type.

Definition at line 16 of file rte_dtls.h.

  #define RTE_DTLS_TYPE_CHANGE_CIPHER_SPEC 20
Change cipher spec message.

Definition at line 17 of file rte_dtls.h.

  #define RTE_DTLS_TYPE_ALERT 21
Alert message.

Definition at line 18 of file rte_dtls.h.

  #define RTE_DTLS_TYPE_HANDSHAKE 22
Handshake message for DTLS.

Definition at line 19 of file rte_dtls.h.

  #define RTE_DTLS_TYPE_APPDATA 23
DTLS application data message.

Definition at line 20 of file rte_dtls.h.

  #define RTE_DTLS_TYPE_HEARTBEAT 24
DTLS 1.3 heartbeat message.

Definition at line 21 of file rte_dtls.h.

  #define RTE_DTLS_TYPE_CIPHERTEXT_WITH_CID 25
DTLS 1.3 ciphertext with CID message.

Definition at line 22 of file rte_dtls.h.

  #define RTE_DTLS_TYPE_ACK 26
DTLS 1.3 ACK message.

Definition at line 23 of file rte_dtls.h.

  #define RTE_DTLS_TYPE_MAX 255
Maximum value as DTLS content type.

Definition at line 24 of file rte_dtls.h.

  #define RTE_DTLS_VERSION_1_2 0xFEFD
DTLS 1.2 version. 1's complement of 1.2.

Definition at line 26 of file rte_dtls.h.

  #define RTE_DTLS_VERSION_1_3 0xFEFC
DTLS 1.3 version. 1's complement of 1.3.

Definition at line 27 of file rte_dtls.h.

Author

Generated automatically by Doxygen for DPDK from the source code.